创建异步任务
curl --request POST \
--url https://api.unifuncs.com/deepsearch/v1/create_task \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "s1",
"messages": [
{
"role": "user",
"content": "hi"
}
]
}
'import requests
url = "https://api.unifuncs.com/deepsearch/v1/create_task"
payload = {
"model": "s1",
"messages": [
{
"role": "user",
"content": "hi"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 's1', messages: [{role: 'user', content: 'hi'}]})
};
fetch('https://api.unifuncs.com/deepsearch/v1/create_task', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.unifuncs.com/deepsearch/v1/create_task",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => 's1',
'messages' => [
[
'role' => 'user',
'content' => 'hi'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.unifuncs.com/deepsearch/v1/create_task"
payload := strings.NewReader("{\n \"model\": \"s1\",\n \"messages\": [\n {\n \"role\": \"user\",\n \"content\": \"hi\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.unifuncs.com/deepsearch/v1/create_task")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"s1\",\n \"messages\": [\n {\n \"role\": \"user\",\n \"content\": \"hi\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.unifuncs.com/deepsearch/v1/create_task")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"s1\",\n \"messages\": [\n {\n \"role\": \"user\",\n \"content\": \"hi\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"code": 0,
"message": "OK",
"data": {
"task_id": "4f180540-a36d-4ec3-a921-33a5fda6c229",
"status": "pending",
"created_at": "2025-12-11T10:20:13.382Z"
},
"requestId": "6c81cec1-1eb3-458d-b65c-c81ea6f1827c"
}模型 API
深度搜索-创建任务(异步)
POST
/
deepsearch
/
v1
/
create_task
创建异步任务
curl --request POST \
--url https://api.unifuncs.com/deepsearch/v1/create_task \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "s1",
"messages": [
{
"role": "user",
"content": "hi"
}
]
}
'import requests
url = "https://api.unifuncs.com/deepsearch/v1/create_task"
payload = {
"model": "s1",
"messages": [
{
"role": "user",
"content": "hi"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 's1', messages: [{role: 'user', content: 'hi'}]})
};
fetch('https://api.unifuncs.com/deepsearch/v1/create_task', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.unifuncs.com/deepsearch/v1/create_task",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => 's1',
'messages' => [
[
'role' => 'user',
'content' => 'hi'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.unifuncs.com/deepsearch/v1/create_task"
payload := strings.NewReader("{\n \"model\": \"s1\",\n \"messages\": [\n {\n \"role\": \"user\",\n \"content\": \"hi\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.unifuncs.com/deepsearch/v1/create_task")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"s1\",\n \"messages\": [\n {\n \"role\": \"user\",\n \"content\": \"hi\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.unifuncs.com/deepsearch/v1/create_task")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"s1\",\n \"messages\": [\n {\n \"role\": \"user\",\n \"content\": \"hi\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"code": 0,
"message": "OK",
"data": {
"task_id": "4f180540-a36d-4ec3-a921-33a5fda6c229",
"status": "pending",
"created_at": "2025-12-11T10:20:13.382Z"
},
"requestId": "6c81cec1-1eb3-458d-b65c-c81ea6f1827c"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
模型名称
Available options:
s1 消息列表
Show child attributes
Show child attributes
介绍信息
域名范围
域名黑名单
引用样式
Available options:
hidden, character, link 内容验证
最大深度
Required range:
1 <= x <= 50是否生成摘要
输出范围
输出提示
输出长度
Required range:
1000 <= x <= 100000任务ID(用于 create_async_task 端点)
